com.sun.grid.jgdi.monitoring

## Interface TaskSummary

- All Known Implementing Classes:
    TaskSummaryImpl

      public interface TaskSummary

  Instances of this class hold the information for a task of a job.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getCpuUsage()` Get the cpu usage of the task.
    `int` | `getExitStatus()` Get the exit status of the task.
    `double` | `getIoUsage()` Get the io usage of the task.
    `double` | `getMemUsage()` Get the mem usage of the task.
    `java.lang.String` | `getState()` Get the state of the task
    `java.lang.String` | `getTaskId()` Get the task id.
    `boolean` | `hasCpuUsage()` Determine if the task has cpu usage
    `boolean` | `hasExitStatus()` Determine if the task has an exit status.
    `boolean` | `hasIoUsage()` Determine if the task has io usage
    `boolean` | `hasMemUsage()` Determine if the task has mem usage
    `boolean` | `isRunning()` Determine if the task is running

- - ### Method Detail

    - #### getTaskId

          java.lang.String getTaskId()

      Get the task id.
      Returns:
        the task id

    - #### getState

          java.lang.String getState()

      Get the state of the task
      Returns:
        state of the task

    - #### hasCpuUsage

          boolean hasCpuUsage()

      Determine if the task has cpu usage
      Returns:
        `true` if the task has cpu usage

    - #### getCpuUsage

          double getCpuUsage()

      Get the cpu usage of the task. Returns only a meanful value if `hasCpuUsage()` returns true.
      Returns:
        the cpu usage of the task

    - #### hasMemUsage

          boolean hasMemUsage()

      Determine if the task has mem usage
      Returns:
        `true` if the task has mem usage

    - #### getMemUsage

          double getMemUsage()

      Get the mem usage of the task. Returns only a meanful value if `hasMemUsage()` returns true.
      Returns:
        the mem usage of the task

    - #### hasIoUsage

          boolean hasIoUsage()

      Determine if the task has io usage
      Returns:
        `true` if the task has io usage

    - #### getIoUsage

          double getIoUsage()

      Get the io usage of the task. Returns only a meanful value if `hasIoUsage()` returns true.
      Returns:
        the io usage of the task

    - #### isRunning

          boolean isRunning()

      Determine if the task is running
      Returns:
        `true` if task is running

    - #### hasExitStatus

          boolean hasExitStatus()

      Determine if the task has an exit status.
      Returns:
        `true` if the task has an exit status

    - #### getExitStatus

          int getExitStatus()

      Get the exit status of the task. Returns only a meanful value if `hasExitStatus()` returns `true`.
      Returns:
        the exit status of the task

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.